<form *ngIf="event" #f="ngForm">
  <div class="form-group">
    <label for="titleInput" class="required">Veranstaltungstitel</label>
    <input id="titleInput" class="form-control" type="text"
           #title="ngModel" [(ngModel)]="event.title"
           name="titleInput" placeholder="Probe"
           required>
    <app-show-form-errors [control]="title"></app-show-form-errors>
  </div>
  <div class="form-row">
    <div class="form-group col-md-8">
      <label for="beginDateInput" class="required">Von</label>
      <input type="text"
             placeholder="von"
             class="form-control"
             bsDatepicker
             [(ngModel)]="event.start"
             [minDate]="event[dateMode].start"
             [maxDate]="event[dateMode].end"
             name="beginDateInput" id="beginDateInput"
             required
             #beginDate="ngModel" (bsValueChange)="setEndDate($event)"
      >
      <app-show-form-errors [control]="beginDate"></app-show-form-errors>
    </div>
    <div class="form-group col-md-4">
      <label for="beginTimeInput" class="required">Uhrzeit</label>
      <timepicker [showSpinners]="false" [showMeridian]="false"
                  name="beginTimeInput"
                  [(ngModel)]="event.start"
                  id="beginTimeInput"
                  required #beginTime="ngModel"
                  (ngModelChange)="checkTime($event)"
      >
      </timepicker>
      <app-show-form-errors [control]="beginTime"></app-show-form-errors>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-md-8">
      <label for="endDateInput" class="required">Bis</label>
      <input type="text"
             placeholder="bis"
             class="form-control"
             bsDatepicker
             [(ngModel)]="event.end"
             name="endDateInput" id="endDateInput"
             required #endDate="ngModel"
             [minDate]="event[dateMode].start"
             [maxDate]="event[dateMode].end"
      >
    </div>
    <app-show-form-errors [control]="endDate"></app-show-form-errors>
    <div class="form-group col-md-4">
      <label for="endTimeInput" class="required">Uhrzeit</label>
      <timepicker [showSpinners]="false" [showMeridian]="false"
                  [(ngModel)]="event.end"
                  name="endTimeInput"
                  id="endTimeInput"
                  required #endTime="ngModel"
      >
      </timepicker>
    </div>
  </div>
  <app-show-form-errors [control]="endTime"></app-show-form-errors>
  <div class="form-group">
    <label for="locationInput" class="required">Ort/Raum</label>
    <input id="locationInput" class="form-control" type="text"
           #location="ngModel" [(ngModel)]="event.location"
           name="locationInput" placeholder="z.B. A 144"
           required>
    <app-show-form-errors [control]="location"></app-show-form-errors>
  </div>
  <div class="form-row">
    <div class="form-group col-md-8">
      <label for="deadlineDateInput">Anmeldung möglich bis</label>
      <input type="text"
             placeholder="von"
             class="form-control"
             bsDatepicker
             [(ngModel)]="event.deadline"
             name="deadlineDateInput" id="deadlineDateInput"
             [maxDate]="event.end"
             #deadlineDate="ngModel"
      >
      <app-show-form-errors [control]="deadlineDate"></app-show-form-errors>
    </div>
    <div class="form-group col-md-4">
      <label for="deadlineTimeInput">Uhrzeit</label>
      <timepicker [showSpinners]="false" [showMeridian]="false"
                  name="deadlineTimeInput"
                  [(ngModel)]="event.deadline"
                  id="deadlineTimeInput"
                  #deadlineTime="ngModel"
                  (ngModelChange)="checkTime($event)"
      >
      </timepicker>
      <app-show-form-errors [control]="deadlineTime"></app-show-form-errors>
    </div>
  </div>
  <div class="form-group">
    <label for="typeInput" class="required">Typ</label>
    <select class="custom-select"
            [(ngModel)]="event.type"
            name="typeInput"
            id="typeInput">
      <option value="rehearsal">Probe</option>
      <option value="concert">Konzert</option>
      <option value="travel">Reise</option>
      <option value="breakfast">Frühstück</option>
      <option value="lunch">Mittagessen</option>
      <option value="dinner">Abendessen</option>
      <option value="overnight">Übernachtung</option>
      <option value="other">Sonstiges</option>
    </select>
  </div>
  <div class="form-group">
    <label for="descriptionInput">Beschreibung</label>
    <textarea id="descriptionInput" class="form-control" type="text"
              #description="ngModel" [(ngModel)]="event.description"
              name="descriptionInput"></textarea>
    <app-show-form-errors [control]="description"></app-show-form-errors>
  </div>
  <fieldset *ngIf="showRepeat">
    <div class="form-check mb-3">
      <input class="form-check-input" type="checkbox"
             id="repeatCheck" [(ngModel)]="event.serial" name="repeatCheck">
      <label class="form-check-label" for="repeatCheck">
        Termin wiederholen?
      </label>
    </div>
    <div class="form-row" *ngIf="event.serial">
      <div class="form-group col-md-6">
        <label for="repeatInput">Interval</label>
        <select id="repeatInput" class="form-control"
                name="repeatInput" [(ngModel)]="event.interval">
          <option value=0>Bitte auswählen</option>
          <option value=1>täglich</option>
          <option value=7>wöchentlich</option>
          <option value=14>zweiwöchentlich</option>
        </select>
      </div>
      <div class="form-group col-md-6">
        <label for="endRepeatInput" class="required">wiederholen bis</label>
        <input type="text"
               placeholder="bis"
               class="form-control"
               bsDatepicker
               name="endRepeatInput" id="endRepeatInput"
               required [(ngModel)]="event.endRepeat"
               [minDate]="event.start"
               [maxDate]="event.project.end"
        >
      </div>
    </div>
  </fieldset>
  <button class="btn btn-primary btn-sm" *ngIf="isAddressEmpty() && !editAddress" (click)="addAddress()"><i class="fas fa-plus"></i> Adresse hinzufügen</button>
  <eos-address-form [address]="event.address" *ngIf="editAddress"></eos-address-form>
  <fieldset *ngIf="event.serial">
    <div class="form-check mb-3">
      <input class="form-check-input" type="checkbox"
             id="editRepeatCheck" [(ngModel)]="event.editRepeat" name="editRepeatCheck">
      <label class="form-check-label" for="editRepeatCheck">
        Alle Nachfolgertermine auch ändern?
      </label>
    </div>
  </fieldset>
</form>

